function fbamodel = change_obj(fbamodel, num_obj, name_reaction)

index_new = find(strcmp(fbamodel.rxns,name_reaction)==1);
if isempty(index_new)
    tmp=sprintf('Reaction %s is not in the model', name_reaction);
    error (tmp);
    return;

end

switch num_obj
    case 1
        index_old = find(fbamodel.f==1);
        fbamodel.f(index_old) = 0;
        fbamodel.f(index_new) = 1;
    case 2
        index_old = find(fbamodel.g==1);
        fbamodel.g(index_old) = 0;
        fbamodel.g(index_new) = 1;
    case 3
        index_old = find(fbamodel.h==1);
        fbamodel.h(index_old) = 0;
        fbamodel.h(index_new) = 1;
end

